Skip to main content
`Ctrl`+`K`

# PCTelescopeGetReductionFactor

Gets the factor by which the original number of MPI processes has been reduced by that was set by `PCTelescopeSetReductionFactor()`

## Synopsis

    #include "petscksp.h"
    #include "petscdm.h"
    PetscErrorCode PCTelescopeGetReductionFactor(PC pc, PetscInt *fact)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- fact - the reduction factor

## See Also

KSP: Linear System Solvers, `PC`, `PCTELESCOPE`, `PCTelescopeSetReductionFactor()`

## Level

advanced

## Location

src/ksp/pc/impls/telescope/telescope.c

## Implementations

PCTelescopeGetReductionFactor_Telescope() in src/ksp/pc/impls/telescope/telescope.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages